from django.forms import (
    CharField,
    HiddenInput,
    ModelForm,
)

from ..models import (
    UserProfile,
)


class UserProfileForm(ModelForm):

    user = CharField(widget=HiddenInput())

    class Meta:
        model = UserProfile
        fields = "__all__"
